Datastores
All operations require authentication.
List vSAN datastoresProduction
Path parameters
Id of the cluster
Id of the Datacenter
Domain of the service
Response
Example uses clusterId = 0, datacenterId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ cluster/ {clusterId}/ filerVsan \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a vSAN datastoreProduction
Get a vSAN datastore. Returns the vSAN datastore: used, free and provisioned space, connection state and number of virtual machines.
Path parameters
Id of the cluster
Id of the Datacenter
Id of the vsan datastore.
Domain of the service
Response
Id of Cluster.
Datastore connection state.
offlineonlineId of the datacenter.
Id of the vsan datastore.
Name of the datastore.
Available space of this datastore, in GB
Provisioned space of this datastore, in GB
Used Space of this datastore, in GB
Number of virtual machine on the datastore
Example uses clusterId = 0, datacenterId = 0, datastoreId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ cluster/ {clusterId}/ filerVsan/ {datastoreId} \
-H "authorization: Bearer $OVH_TOKEN"{ "clusterId": 0, "connectionState": "offline", "datacenterId": 0, "datastoreId": 0, "datastoreName": "string", "spaceFree": 0, "spaceProvisioned": 0, "spaceUsed": 0, "vmTotal": 0}
List datastoresProduction
Path parameters
Id of the Datacenter
Domain of the service
Response
Example uses datacenterId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ filer \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a datastoreProduction
Get a datastore. Returns the datastore: profile, size, used, free and provisioned space, state and number of virtual machines.
Path parameters
Id of the Datacenter
Filer Id
Domain of the service
Response
Filer active node.
masterslaveBilling type of this filer
freeSparehourlymonthlyundefinedFiler connexion state.
offlineonlineFiler Id
Human-Readable profile name
Filer accessibility (if true, customer cannot access it)
Filer master node hostname.
Filer name
Commercial profile name
Resource name
Filer capacity
Filer slave node hostname.
Available space of this datastore, in GB
Provisionned space of this datastore, in GB
Used Space of this filer, in GB
State of the filer
addingdeliverederrorremovingunknownNumber of virtual machine on the filer
Example uses datacenterId = 0, filerId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ filer/ {filerId} \
-H "authorization: Bearer $OVH_TOKEN"{ "activeNode": "master", "billingType": "freeSpare", "connectionState": "offline", "filerId": 0, "fullProfile": "string", "isManagedByOvh": true, "master": "string", "name": "string", "profile": "string", "resourceName": "string", "size": { "unit": "string", "value": 0 }, "slave": "string", "spaceFree": 0, "spaceProvisionned": 0, "spaceUsed": 0, "state": "adding", "vmTotal": 0}
Check if a datastore can become globalProduction
Check if a datastore can become global. Returns true when the datastore can be converted to a global datastore, mounted on all datacenters.
Path parameters
Id of the Datacenter
Filer Id
Domain of the service
Response
Example uses datacenterId = 0, filerId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ filer/ {filerId}/ checkGlobalCompatible \
-H "authorization: Bearer $OVH_TOKEN"true
Get the datastore consumptionDeprecated
Deprecated since May 31, 2019, will be removed on Jun 30, 2019 — use /me/consumption/usage/current instead.
Get the datastore consumption. Returns the hourly consumption of the datastore. Deprecated: use /me/consumption/usage/current instead.
Path parameters
Id of the Datacenter
Filer Id
Domain of the service
Response
Consumption of the Filer
Last update
Example uses datacenterId = 0, filerId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ filer/ {filerId}/ hourlyConsumption \
-H "authorization: Bearer $OVH_TOKEN"{ "consumption": { "unit": "string", "value": 0 }, "lastUpdate": "2024-01-01T12:00:00Z"}
Get the datastore locationProduction
Get the datastore location. Returns the datacenter, room and rack of the datastore. Choose the master or slave node with node, master by default.
Path parameters
Id of the Datacenter
Filer Id
Domain of the service
Query parameters
Filer cluster node used to get location (default value: master)
masterslaveResponse
Datacenter of the Filer.
bhs1bhs2bhs3bhs4bhs5bhs6bhs7bhs8cch01crx1crx2dc1eri1eri2frcrx41frcrx42frcrx43gra04gra1gra2gra3gswhdf01hil1ieb01itbsi01itmil01itzvf01lil1-int1lim1lim2lim3mr901p19rbxrbx-hzrbx1rbx10rbx2rbx3rbx4rbx5rbx6rbx7rbx8rbx9sbg1sbg2sbg3sbg4sbg5sgp02sgp1syd03syd1syd2vin1waw1ynm1yyz01Rack of the slave Filer.
Room of the Filer.
Example uses datacenterId = 0, filerId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ filer/ {filerId}/ location \
-H "authorization: Bearer $OVH_TOKEN"{ "datacenter": "bhs1", "rack": "string", "room": "string"}
List orderable datastore profilesProduction
List orderable datastore profiles. Returns the datastore profiles that can be ordered in the datacenter, with their size.
Path parameters
Id of the Datacenter
Domain of the service
Response
Human-Readable name
Commercial name
A numeric value tagged with its unit
Example uses datacenterId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ orderableFilerProfiles \
-H "authorization: Bearer $OVH_TOKEN"[ { "fullName": "string", "name": "string", "size": { "unit": "string", "value": 0 } }]
List global datastoresProduction
Path parameters
Domain of the service
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ filer \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a datastoreProduction
Get a datastore. Returns the datastore: profile, size, used, free and provisioned space, state and number of virtual machines.
Path parameters
Filer Id
Domain of the service
Response
Filer active node.
masterslaveBilling type of this filer
freeSparehourlymonthlyundefinedFiler connexion state.
offlineonlineFiler Id
Human-Readable profile name
Filer accessibility (if true, customer cannot access it)
Filer master node hostname.
Filer name
Commercial profile name
Resource name
Filer capacity
Filer slave node hostname.
Available space of this datastore, in GB
Provisionned space of this datastore, in GB
Used Space of this filer, in GB
State of the filer
addingdeliverederrorremovingunknownNumber of virtual machine on the filer
Example uses filerId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ filer/ {filerId} \
-H "authorization: Bearer $OVH_TOKEN"{ "activeNode": "master", "billingType": "freeSpare", "connectionState": "offline", "filerId": 0, "fullProfile": "string", "isManagedByOvh": true, "master": "string", "name": "string", "profile": "string", "resourceName": "string", "size": { "unit": "string", "value": 0 }, "slave": "string", "spaceFree": 0, "spaceProvisionned": 0, "spaceUsed": 0, "state": "adding", "vmTotal": 0}
Check if a datastore can become globalProduction
Check if a datastore can become global. Returns true when the datastore can be converted to a global datastore, mounted on all datacenters.
Path parameters
Filer Id
Domain of the service
Response
Example uses filerId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ filer/ {filerId}/ checkGlobalCompatible \
-H "authorization: Bearer $OVH_TOKEN"true
Get the datastore consumptionDeprecated
Deprecated since May 31, 2019, will be removed on Jun 30, 2019 — use /me/consumption/usage/current instead.
Get the datastore consumption. Returns the hourly consumption of the datastore. Deprecated: use /me/consumption/usage/current instead.
Path parameters
Filer Id
Domain of the service
Response
Consumption of the Filer
Last update
Example uses filerId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ filer/ {filerId}/ hourlyConsumption \
-H "authorization: Bearer $OVH_TOKEN"{ "consumption": { "unit": "string", "value": 0 }, "lastUpdate": "2024-01-01T12:00:00Z"}
Get the datastore locationProduction
Get the datastore location. Returns the datacenter, room and rack of the datastore. Choose the master or slave node with node, master by default.
Path parameters
Filer Id
Domain of the service
Query parameters
Filer cluster node used to get location (default value: master)
masterslaveResponse
Datacenter of the Filer.
bhs1bhs2bhs3bhs4bhs5bhs6bhs7bhs8cch01crx1crx2dc1eri1eri2frcrx41frcrx42frcrx43gra04gra1gra2gra3gswhdf01hil1ieb01itbsi01itmil01itzvf01lil1-int1lim1lim2lim3mr901p19rbxrbx-hzrbx1rbx10rbx2rbx3rbx4rbx5rbx6rbx7rbx8rbx9sbg1sbg2sbg3sbg4sbg5sgp02sgp1syd03syd1syd2vin1waw1ynm1yyz01Rack of the slave Filer.
Room of the Filer.
Example uses filerId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ filer/ {filerId}/ location \
-H "authorization: Bearer $OVH_TOKEN"{ "datacenter": "bhs1", "rack": "string", "room": "string"}
Convert a datastore to globalProduction
Convert a datastore to global. Converts the datastore to a global datastore, mounted on all datacenters of the service. Returns a task to track progress.
Path parameters
Id of the Datacenter
Filer Id
Domain of the service
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses datacenterId = 0, filerId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ filer/ {filerId}/ convertToGlobal \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Remove a datastoreProduction
Remove a datastore. Removes the datastore and its data: move the virtual machines first. Returns a task to track progress.
Path parameters
Id of the Datacenter
Filer Id
Domain of the service
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses datacenterId = 0, filerId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ filer/ {filerId}/ remove \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Order an hourly datastoreProduction
Order an hourly datastore. Orders a datastore billed by the hour with the given profile. Returns a task to track progress.
Path parameters
Id of the Datacenter
Domain of the service
Request body (required)
Filer profile you want to order
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses datacenterId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ orderNewFilerHourly \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Convert a datastore to globalProduction
Convert a datastore to global. Converts the datastore to a global datastore, mounted on all datacenters of the service. Returns a task to track progress.
Path parameters
Filer Id
Domain of the service
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses filerId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ filer/ {filerId}/ convertToGlobal \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Remove a datastoreProduction
Remove a datastore. Removes the datastore and its data: move the virtual machines first. Returns a task to track progress.
Path parameters
Filer Id
Domain of the service
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses filerId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ filer/ {filerId}/ remove \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Order an hourly global datastoreProduction
Order an hourly global datastore. Orders a datastore billed by the hour, mounted on all datacenters of the service. Returns a task to track progress.
Path parameters
Domain of the service
Request body (required)
Filer profile you want to order
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ orderNewFilerHourly \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}